- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 9a1e6f07-4ce2-4117-b19b-14ee2d54479a
    creation_time: 2023-02-17T12:12:03.685612Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/cggmp2005.c
      input_file_hashes:
        c/loop-lit/cggmp2005.c: 9b2e580179989d30a2532300d7691a14943052c6ee85fab170a59070c70f0c6d
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/cggmp2005.c
    file_hash: 9b2e580179989d30a2532300d7691a14943052c6ee85fab170a59070c70f0c6d
    line: 11
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: j == 10- ( i-1 ) /2 && 6 <= j && j <= 10 && 1 <= i && i <= 9 && j%3 == i%3
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5527939a-6168-46eb-bca4-abe20e42180e
    creation_time: 2023-02-17T12:12:03.685899Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/cggmp2005.c
      input_file_hashes:
        c/loop-lit/cggmp2005.c: 9b2e580179989d30a2532300d7691a14943052c6ee85fab170a59070c70f0c6d
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/cggmp2005.c
    file_hash: 9b2e580179989d30a2532300d7691a14943052c6ee85fab170a59070c70f0c6d
    line: 15
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: j == 6
    type: assertion
    format: C

